Skip to main content
`Ctrl`+`K`

# VecAssemblyBegin

Begins assembling the vector; that is ensuring all the vector’s entries are stored on the correct MPI process. This routine should be called after completing all calls to `VecSetValues()`.

## Synopsis

    #include "petscvec.h"
    PetscErrorCode VecAssemblyBegin(Vec vec)

Collective

## Input Parameter

- vec - the vector

## See Also

Vectors and Parallel Data, `Vec`, `VecAssemblyEnd()`, `VecSetValues()`

## Level

beginner

## Location

src/vec/vec/interface/vector.c

## Examples

src/ksp/ksp/tutorials/ex55.c
src/dm/impls/stag/tutorials/ex4.c
src/dm/impls/stag/tutorials/ex1.c
src/dm/impls/stag/tutorials/ex6.c
src/dm/impls/stag/tutorials/ex2.c
src/ksp/ksp/tutorials/ex54.c
src/dm/impls/stag/tutorials/ex8.c
src/dm/impls/stag/tutorials/ex3.c
src/ksp/ksp/tutorials/ex51.c
src/ksp/ksp/tutorials/ex3.c

## Implementations

VecAssemblyBegin_MPI() in src/vec/vec/impls/mpi/pdvec.c
VecAssemblyBegin_Nest() in src/vec/vec/impls/nest/vecnest.c

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages